enum TeamMemberInviteStatus {
  PENDING
  ACCEPTED
  EXPIRED
  CANCELLED
}

type TeamMemberInvite @table(name: "team_member_invites") {
  id: UUID! @default(expr: "uuidV4()")
  teamId: UUID!
  inviteCode: String! @default(expr: "uuidV4()")
  email: String!      
  inviteStatus: TeamMemberInviteStatus!
  createdDate: Timestamp @default(expr: "request.time")
  updatedDate: Timestamp @default(expr: "request.time")
  createdBy: String @default(expr: "auth.uid")
}
